# Contributing to AnimateFX


First , thanks for taking the time to contribute! :smile:

The following is a set of guidelines for contributing to AnimateFX. These are  guidelines, not rules. 

Feel free to propose changes to this document in a pull request.

## Reporting Bugs

Bugs are tracked as [GitHub issues](https://github.com/Typhon0/AnimateFX/issues).  When you create an issue, please provide the following information by filling in the template.

Explain the problem and include additional details to help reproduce the problem:

* **Use a clear and descriptive** title for the issue to identify the problem.
* **Describe the exact steps to reproduce the problem** in as many details as possible. Explain how you did it. 
* **Provide specific examples to demonstrate the steps.** Include links to files or GitHub projects, or copy/pasteable snippets, which you use in those examples. If you're providing snippets on the issue, use Markdown code blocks.
* **Describe the behavior you observed after following the steps** and point out what exactly is the problem with that behavior.
* **Explain which behavior you expected to see.**
* **Include screenshots or animated GIFs** which clearly demonstrate the problem.

## Suggesting Enhancements

If you want to suggest features for AnimateFX like add a new animation or anything else that can make AnimateFX better:

You can vote and submit [features request here](https://animatefx.featureupvote.com).

## Pull Request

1. Fork the animatefx repo
2. Make your change in a new branch

``git checkout -b my-fix-branch master``

3. Test your code
4. Commit your changes using a descriptive commit message.
5. Push your branch to GitHub.
6. Send a pull request to `animatefx:master`

After your pull request is merged, you can safely delete your branch and pull the changes from the main (upstream). repository
